# QVM: Quaternions, Vectors, Matrices

### Matrix-to-matrix View Proxies

#include <boost/qvm/map_mat_mat.hpp>

    namespace boost
    {
        namespace qvm
        {
            //*** Matrix-to-matrix view proxies ***

            template <int R>
            -unspecified-return-type- del_row();

            template <int C>
            -unspecified-return-type- del_col();

            template <int R,int C>
            -unspecified-return-type- del_row_col();

            template <int R>
            -unspecified-return-type- neg_row();

            template <int C>
            -unspecified-return-type- neg_col();

            template <int R1,int R2>
            -unspecified-return-type- swap_rows();

            template <int C1,int C2>
            -unspecified-return-type- swap_cols();

            -unspecified-return-type- transposed();
        }
    }

See also: Boost QVM | Synopsis